Bug 1751947

Summary: Review Request: php-phpdocumentor-type-resolver1 - A PSR-5 based resolver of Class names, Types and Structural Element Names
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-02 00:47:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1751946    
Bug Blocks:    

Description Remi Collet 2019-09-13 07:59:55 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/phpdocumentor/php-phpdocumentor-type-resolver1.git/plain/php-phpdocumentor-type-resolver1.spec?id=5174a2a8bffee73d358928953393d8abc22ad04f
SRPM URL: http://rpms.remirepo.net/SRPMS/php-phpdocumentor-type-resolver1-1.0.1-1.remi.src.rpm
Description:
The specification on types in DocBlocks (PSR-5) describes various keywords
and special constructs but also how to statically resolve the partial name
of a Class into a Fully Qualified Class Name (FQCN).

PSR-5 also introduces an additional way to describe deeper elements than
Classes, Interfaces and Traits called the Fully Qualified Structural Element
Name (FQSEN). Using this it is possible to refer to methods, properties and
class constants but also functions and global constants.

This package provides two Resolvers that are capable of:
1. Returning a series of Value Object for given expression while resolving any
  partial class names, and
2. Returning an FQSEN object after resolving any partial Structural Element
  Names into Fully Qualified Structural Element names.

Autoloader: /usr/share/php/phpDocumentor/Reflection2/autoload-type-resolver.php



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2019-09-22 21:10:38 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 54 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-phpdocumentor-type-resolver1/review-
     php-phpdocumentor-type-resolver1/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/php/phpDocumentor/Reflection2
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 9 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-phpdocumentor-type-resolver1-1.0.1-1.fc32.noarch.rpm
          php-phpdocumentor-type-resolver1-1.0.1-1.fc32.src.rpm
php-phpdocumentor-type-resolver1.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpdocumentor-type-resolver1.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phpdocumentor-type-resolver1.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phpdocumentor-type-resolver1.src: W: spelling-error %description -l en_US usr -> use, us, user
php-phpdocumentor-type-resolver1.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phpdocumentor-type-resolver1.src: W: strange-permission makesrc.sh 775
php-phpdocumentor-type-resolver1.src: W: invalid-url Source0: php-phpdocumentor-type-resolver1-1.0.1-2e32a6d48972b2c1976ed5d8967145b6cec4a4a9.tar.gz
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 3 Gwyn Ciesla 2019-09-23 13:40:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-phpdocumentor-type-resolver1

Comment 4 Fedora Update System 2019-09-23 15:28:16 UTC
FEDORA-2019-13d89243b2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-13d89243b2

Comment 5 Fedora Update System 2019-09-23 15:28:21 UTC
FEDORA-2019-b2cfcffddc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2cfcffddc

Comment 6 Fedora Update System 2019-09-24 00:49:56 UTC
php-phpdocumentor-type-resolver1-1.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2cfcffddc

Comment 7 Fedora Update System 2019-09-24 01:24:20 UTC
php-phpdocumentor-type-resolver1-1.0.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-13d89243b2

Comment 8 Fedora Update System 2019-10-02 00:47:08 UTC
php-phpdocumentor-type-resolver1-1.0.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-02 01:59:43 UTC
php-phpdocumentor-type-resolver1-1.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.